import os
from os.path import join
from setuptools import setup, find_packages

def read(*pathnames):
    return open(os.path.join(os.path.dirname(__file__), *pathnames)).read()

name = 'eea.bounce'
path = name.split('.') + ['version.txt']
version = open(join(*path)).read().strip()

setup(name='eea.bounce',
        version=version,
        description="Detect bouncing messages from an IMAP folder and allow further processing",
        long_description='\n'.join([
            read('docs', 'README.txt'),
            read('docs', 'HISTORY.txt'),
            ]),
        classifiers=[
            "Framework :: Plone",
            "Framework :: Zope2",
            "Programming Language :: Python",
            ],
        keywords='zope plone notification newsletter',
        author='Tiberiu Ichim',
        author_email='tiberiu@eaudeweb.ro',
        url='https://svn.eionet.europa.eu/repositories/Zope/trunk/eea.bounce',
        license='GPL',
        packages=find_packages(),
        #packages=find_packages('src'),
        #package_dir= {'':'src'},
        namespace_packages=['eea'],
        include_package_data=True,
        zip_safe=False,

        install_requires=[
            'setuptools',
            'IMAPClient',
            'elementtree',
            ],
        entry_points={
            "console_scripts":[
                "bounce_srv = eea.bounce.handler:main" 
                ]
            }      
        )
